<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'classifieds',

    /*
     * Package.
     */
    'package'   => 'location',

    /*
     * Modules.
     */
    'modules'   => ['state', 
'city'],

    'state'       => [
        'model' => [
            'model'                 => \Classifieds\Location\Models\State::class,
            'table'                 => 'states',
            'presenter'             => \Classifieds\Location\Repositories\Presenter\StatePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'location/state',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Classifieds',
            'package'   => 'Location',
            'module'    => 'State',
        ],

    ],

    'city'       => [
        'model' => [
            'model'                 => \Classifieds\Location\Models\City::class,
            'table'                 => 'cities',
            'presenter'             => \Classifieds\Location\Repositories\Presenter\CityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'state_id',  'name',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'location/city',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Classifieds',
            'package'   => 'Location',
            'module'    => 'City',
        ],

    ],
];
