<?php

// web routes  for state
Route::prefix('{guard}/location')->group(function () {
    Route::resource('state', 'StateResourceController');
});

// Public routes for state
Route::get('locations/', 'StatePublicController@index');
Route::get('locations/{slug?}', 'StatePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StateResourceController');
            });
            // Public routes for pages
            Route::get('locations/', 'StatePublicController@index');
            Route::get('locations/{slug?}', 'StatePublicController@show');
        }
    );
}


// web routes  for city
Route::prefix('{guard}/location')->group(function () {
    Route::resource('city', 'CityResourceController');
});

// Public routes for city
Route::get('locations/', 'CityPublicController@index');
Route::get('locations/{slug?}', 'CityPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CityResourceController');
            });
            // Public routes for pages
            Route::get('locations/', 'CityPublicController@index');
            Route::get('locations/{slug?}', 'CityPublicController@show');
        }
    );
}

