<?php

namespace Classifieds\Location;

use User;

class Location
{
    /**
     * $state object.
     */
    protected $state;
    /**
     * $city object.
     */
    protected $city;

    /**
     * Constructor.
     */
    public function __construct(\Classifieds\Location\Interfaces\StateRepositoryInterface $state,
        \Classifieds\Location\Interfaces\CityRepositoryInterface $city)
    {
        $this->state = $state;
        $this->city = $city;
    }

    /**
     * Returns count of location.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.state.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->state->pushCriteria(new \Litepie\Classifieds\Repositories\Criteria\StateUserCriteria());
        }

        $state = $this->state->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('location::' . $view, compact('state'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.city.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->city->pushCriteria(new \Litepie\Classifieds\Repositories\Criteria\CityUserCriteria());
        }

        $city = $this->city->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('location::' . $view, compact('city'))->render();
    }
}
