<?php

namespace Classifieds\Location\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CityTransformer extends TransformerAbstract
{
    public function transform(\Classifieds\Location\Models\City $city)
    {
        return [
            'id'                => $city->getRouteKey(),
            'key'               => [
                'public'    => $city->getPublicKey(),
                'route'     => $city->getRouteKey(),
            ], 
            'state_id'          => $city->state_id,
            'name'              => $city->name,
            'deleted_at'        => $city->deleted_at,
            'url'               => [
                'public'    => trans_url('location/'.$city->getPublicKey()),
                'user'      => guard_url('location/city/'.$city->getRouteKey()),
            ], 
            'status'            => trans('app.'.$city->status),
            'created_at'        => format_date($city->created_at),
            'updated_at'        => format_date($city->updated_at),
        ];
    }
}