<?php

namespace Classifieds\Location\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StateTransformer extends TransformerAbstract
{
    public function transform(\Classifieds\Location\Models\State $state)
    {
        return [
            'id'                => $state->getRouteKey(),
            'key'               => [
                'public'    => $state->getPublicKey(),
                'route'     => $state->getRouteKey(),
            ], 
            'name'              => $state->name,
            'deleted_at'        => $state->deleted_at,
            'url'               => [
                'public'    => trans_url('location/'.$state->getPublicKey()),
                'user'      => guard_url('location/state/'.$state->getRouteKey()),
            ], 
            'status'            => trans('app.'.$state->status),
            'created_at'        => format_date($state->created_at),
            'updated_at'        => format_date($state->updated_at),
        ];
    }
}